C-----------------------------------------------------------------------
C   darc.inc
C   This file is INCLUDEd in the DARC modules.
C   It is used to set dimensions. 
C   The following table indicates where the dimensions are used.
C
C           dstg0  dstg1  dstg2  dstgh  dstg3  pdstg3  dstg4
C
C   MXCH                    *      *      *      *
C   MXHD                           *      *      *
C   MXI1             *      *
C   MXI2             *      *
C   MXNA                           *      *      *
C   MXNB             *      *      *      *      *
C   MXNC                    *
C   MXNK             *      *      *      *      *
C   MXNL                    *      *      *      *
C   MXNM                    *
C   MXNP      *      *     
C   MXNW      *             *
C   MXP1      *      *
C   MXNAST                                               *
C   MXNREC                                               *
C   MXNSYM                                               *
C   MXNENE                                               *
C   PRECN            *      *
C   DECADES                 *
C
C   Note:
C
C   1. dstg3 means dasym,dasypck,dcoul,dvpm
C   2. pdstg3 means pasypck,pcoul
C
C           asycoul   asypck   asyvpm   hsldr
C
C   MXCH      *         *        *
C   MXHD                                  *
C   MXNA                *        *
C   MXNK      *                  *
C
C-----------------------------------------------------------------------
C   MXCH   channels
C   MXHD   size of Hamiltonian
C   MXI1   radial integrals
C   MXI2   marks position of radial integrals
C   MXNA   lambda-values for asymptotic coefficients
C   MXNB   continuum orbitals per KAPPA value
C   MXNC   relativistic configurations
C   MXNK   KAPPA values
C   MXNL   target levels or correlation functions
C   MXNM   MCP angular coefficients
C   MXNP   points in radial mesh
C   MXNW   relativistic orbitals
C   MXP1   mesh points used to store orbitals
C   MXNAST target states
C   MXNREC records
C   MXNSYM symmetries per energy point
C   MXNENE energy points
C   PRECN=4 & DECADES=9 for INTEGER*4
C   PRECN=8 & DECADES=10 for INTEGER*8
C-----------------------------------------------------------------------
      INTEGER MXCH,MXHD,MXI1,MXI2,MXNA,MXNB,MXNC
      INTEGER MXNK,MXNL,MXNP,MXNW,MXP1
      INTEGER MXNAST,MXNREC,MXNSYM,MXNENE,ORBREC,INTREC
      INTEGER PRECN,DECADES
      PARAMETER (MXCH = 500)
      PARAMETER (MXHD = 40)
      PARAMETER (MXI1 = 594539)
      PARAMETER (MXI2 = 79081)
      PARAMETER (MXNA = 2)
      PARAMETER (MXNB = 45)
      PARAMETER (MXNC = 6000)
      PARAMETER (MXNK = 90)
      PARAMETER (MXNL = 10000)
C      PARAMETER (MXNM = 7518169)
      PARAMETER (MXNP = 5000)
      PARAMETER (MXNW = 11800)
      PARAMETER (MXP1 = 700000)
      PARAMETER (MXNAST = 625)
      PARAMETER (MXNREC = 700000)
      PARAMETER (MXNSYM = 60)
      PARAMETER (MXNENE = 2000)
      PARAMETER (INTREC = 512)
      PARAMETER (ORBREC = 512)
      PARAMETER (PRECN = 8)
      PARAMETER (DECADES = 10)
C-----------------------------------------------------------------------
